ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004562ClearOSapp-flexshare - Flexsharespublic2015-08-25 07:202017-10-11 08:24
Reporterbchambers 
Assigned Topbaldwin 
PrioritynormalSeverityminorReproducibilitysometimes
StatusclosedResolutionsuspended 
PlatformOSOS Version
Product Version6.7.0 
Target Version6.9.0 UpdatesFixed in Version 
Summary0004562: When adding a Flexshare that conflicts with groupname, users don't see the message (any error message)
DescriptionError message for overlapping flexshare name and group name is being put in session and is not displayed unless the page is reloaded (eg. user hits submit twice.
Steps To ReproduceCreate group 'test'.

Try to create Flexshare 'test'

Resubmit after form comes back to original edit entry mode.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001842)
pbaldwin (administrator)
2015-08-25 07:41

This was fixed in 7.1. It's caused by the use of $this->page->set_message(). That function is intended for setting an error message on a redirect and should very rarely be needed or used. It's handy for things like the login page and other unusual redirect cases.
(0006651)
pbaldwin (administrator)
2017-10-11 08:24

Fixed in ClearOS 7, but closing for ClearOS 6.

- Issue History
Date Modified Username Field Change
2015-08-25 07:20 bchambers New Issue
2015-08-25 07:41 pbaldwin Note Added: 0001842
2015-08-25 07:41 pbaldwin Status new => confirmed
2016-02-16 21:33 pbaldwin Target Version 6.7.0 Updates => 6.8.0 Updates
2017-03-21 08:42 pbaldwin Target Version 6.8.0 Updates => 6.9.0 Updates
2017-10-11 08:24 pbaldwin Note Added: 0006651
2017-10-11 08:24 pbaldwin Status confirmed => closed
2017-10-11 08:24 pbaldwin Assigned To => pbaldwin
2017-10-11 08:24 pbaldwin Resolution open => suspended